/*************************************************************************
 *
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 * 
 * Copyright 2008 by Sun Microsystems, Inc.
 *
 * OpenOffice.org - a multi-platform office productivity suite
 *
 * $RCSfile: Year.idl,v $
 * $Revision: 1.5 $
 *
 * This file is part of OpenOffice.org.
 *
 * OpenOffice.org is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 3
 * only, as published by the Free Software Foundation.
 *
 * OpenOffice.org is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License version 3 for more details
 * (a copy is included in the LICENSE file that accompanied this code).
 *
 * You should have received a copy of the GNU Lesser General Public License
 * version 3 along with OpenOffice.org.  If not, see
 * <http://www.openoffice.org/license.html>
 * for a copy of the LGPLv3 License.
 *
 ************************************************************************/

#ifndef __com_sun_star_xsd_Year_idl__
#define __com_sun_star_xsd_Year_idl__

#ifndef __com_sun_star_xsd_XDataType_idl__
#include <com/sun/star/xsd/XDataType.idl>
#endif

//=============================================================================
module com {  module sun {  module star {  module xsd {

//-----------------------------------------------------------------------------
/** specifies an <a href="http://www.w3.org/TR/xmlschema-2/#gYear">XSD compliant gYear type</a>
*/
service Year
{
    /** provides access to common data type functionality
    */
    interface XDataType;

    /** specifies the inclusive upper bound for the value
        @see http://www.w3.org/TR/xmlschema-2/#rf-maxInclusive
    */
    [property, maybevoid] short MaxInclusiveInt;

    /** specifies the exclusive upper bound for the value
        @see http://www.w3.org/TR/xmlschema-2/#rf-maxExclusive
    */
    [property, maybevoid] short MaxExclusiveInt;

    /** specifies the inclusive lower bound for the value
        @see http://www.w3.org/TR/xmlschema-2/#rf-minInclusive
    */
    [property, maybevoid] short MinInclusiveInt;

    /** specifies the exclusive lower bound for the value
        @see http://www.w3.org/TR/xmlschema-2/#rf-minExclusive
    */
    [property, maybevoid] short MinExclusiveInt;
};

//=============================================================================

}; }; }; };

#endif

